CloudIntegrations:
  get:
    tags:
      - cloud_integrations
    operationId: getCloudIntegration
    x-lg-handler: 'App\Http\ApiV1\Modules\Cloud\Controllers\CloudIntegrationsController@get'
    summary: Получение объекта типа CloudIntegration
    description: Получение объекта типа CloudIntegration
    responses:
      "200":
        description: Успех
        content:
          application/json:
            schema:
              $ref: './schemas/cloud-integrations.yaml#/CloudIntegrationResponse'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
  post:
    tags:
      - cloud_integrations
    operationId: createCloudIntegration
    x-lg-handler: 'App\Http\ApiV1\Modules\Cloud\Controllers\CloudIntegrationsController@create'
    summary: Создание объекта типа CloudIntegration
    description: Создание объекта типа CloudIntegration
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/cloud-integrations.yaml#/CreateCloudIntegrationRequest'
    responses:
      "201":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/cloud-integrations.yaml#/CloudIntegrationResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
  patch:
    tags:
      - cloud_integrations
    operationId: patchCloudIntegration
    x-lg-handler: 'App\Http\ApiV1\Modules\Cloud\Controllers\CloudIntegrationsController@patch'
    summary: Изменение объектов типа CloudIntegration
    description: Изменение объектов типа CloudIntegration
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/cloud-integrations.yaml#/PatchCloudIntegrationRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/cloud-integrations.yaml#/CloudIntegrationResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'

PathId:
  in: path
  name: id
  required: true
  schema:
    type: integer
    minimum: 1
  description: Числовой id
  example: 1
